Bug 125904 - In Impress - Bullets and Numberings submenu not displayed when right clicking on a bullet
Summary: In Impress - Bullets and Numberings submenu not displayed when right clicking...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
6.4.0.0.alpha1+
Hardware: x86-64 (AMD64) Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.4.0 target:6.3.0.1
Keywords:
Depends on:
Blocks: Impress-Bullet-Numbering-Dialog
  Show dependency treegraph
 
Reported: 2019-06-13 15:54 UTC by bureautiquelibre
Modified: 2019-06-15 08:32 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Drop Down menu screencap (11.12 KB, image/png)
2019-06-13 15:56 UTC, bureautiquelibre
Details

Note You need to log in before you can comment on or make changes to this bug.
Description bureautiquelibre 2019-06-13 15:54:39 UTC
Description:
Not much to add ...

Steps to Reproduce:
Right click on a bullet

Actual Results:
No Bullets and Numberings item shown

Expected Results:
Should see a Bullets and Numberings item in the drop down menu.


Reproducible: Always


User Profile Reset: No


OpenGL enabled: Yes

Additional Info:
Comment 1 bureautiquelibre 2019-06-13 15:56:01 UTC
Created attachment 152170 [details]
Drop Down menu screencap
Comment 2 Julien Nabet 2019-06-13 16:58:28 UTC
I'm not sure if it's a bug or rather an enhancement.
In any case, I prefer having UX people's opinion.
Comment 3 Andras Timar 2019-06-14 06:10:45 UTC
The Bullets and Numbering menu item was removed by the following commit:

commit cae758a8608e584a3c73259797a70d19595c9ea6
Author: andreas kainz <kainz.a@gmail.com>
Date:   Fri Oct 19 09:18:49 2018 +0200

    tdf#119596 DrawText Contextmenu in Writer, Calc, Draw, Impress
    
    and all other sw modules
    
    Change-Id: Ifd7161f58170f32555134250b91e537eeada3c99
    Reviewed-on: https://gerrit.libreoffice.org/61988
    Tested-by: Jenkins
    Reviewed-by: andreas_kainz <kainz.a@gmail.com>
Comment 4 andreas_k 2019-06-14 06:39:58 UTC
Hi

Thanks for the report.

yes in the DrawText context menu it was removed cause bullets didn't work at least in DrawText.

In Impress it will work so I will add it there.
Comment 5 Commit Notification 2019-06-14 07:57:19 UTC
andreas kainz committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/af37bb23f63b209af1193e20177c3aacbd777543%5E%21

tdf#125904 Bullets and Numbering popupmenu sd modules

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2019-06-14 10:17:43 UTC
andreas kainz committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/+/5cdf4e4478fc22442ed886ee888e64745be4f264%5E%21

tdf#125904 Bullets and Numbering popupmenu sd modules

It will be available in 6.3.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Heiko Tietze 2019-06-14 11:52:44 UTC
Is the issue fixed with the patch?
Comment 8 Andras Timar 2019-06-14 11:53:46 UTC
(In reply to Heiko Tietze from comment #7)
> Is the issue fixed with the patch?

Yes.
Comment 9 Julien Nabet 2019-06-15 08:32:25 UTC
On pc Debian x86-64 with master sources updated today, I confirm the entry to manage bullets/numbering appears with context menu.